<!DOCTYPE html>
<html xmlns:v-bind="http://www.w3.org/1999/xhtml" xmlns:v-on="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Веб-интерфейс</title>

    <link rel='stylesheet prefetch' href='/css/bootstrap.css'>
    <link rel="stylesheet" href="/css/style.css">
</head>

<body>

<div class="container">

    <div class="row uploadForm">
        <form ref='uploadForm'
              id='uploadForm'
              action='/uploadAll'
              method='post'
              encType="multipart/form-data">
            <p><input type="file" name="sampleFile" class="file" id="input-b1"/>
                <input type='submit' value='Upload' class="btn btn-right"/></p>

        </form>

    </div>

    <div class="sync-button">
        <button @click="sync">Принудительная синхронизация</button>
    </div>

    <div id="maintable" class="row">
        <div class="col-md-12">
            <table class="table table-striped table-bordered table-hover table-sm">
                <thead class="thead-default">

                <tr>

                    <th>Имя файла</th>
                    <th>Действия</th>
                    <th>Адреса экранов</th>
                    <!-- <th v-for="item in table.headers">

                        {{ item.name }}
                    </th> -->
                    <th>Запланированное удаление</th>
                </tr>
                </thead>
                <tbody>

                <tr v-for="file in table.files">

                    <td>
                        <div class="inline" v-bind:class="{ 'bg-danger': file.count < 1 }">
                            <div v-if="file.count > 0">

                            </div>
                            {{ file.count }}
                            {{ file.name }}
                        </div>

                    </td>
                    <td>
                        <button class="btn btn-warning btn-xs" @click="deleteFileFromInd(file)"
                                title="Удалить из всех индивидуальных папок">
                            <span class="glyphicon glyphicon-remove-circle"></span>
                        </button>
                        <button class="btn btn-danger btn-xs" @click="deleteAllFileExempl(file)"
                                title="Удалить ото всюду, совсем">
                            <span class="glyphicon glyphicon-floppy-remove"></span>
                        </button>

                    </td>
                    <td>
                        <a class="button-location"
                           @click="changeHidden(file)"

                        >
                            <span v-if="file.seen">
                                [-]
                            </span>
                            <span v-else>
                                [+]
                            </span>
                            Выбрать адреса
                        </a>
                        <div>
                            <div class="location" v-for="folder in file.folders">
                                <div v-show="file.seen || folder.checked">
                                    <input type="checkbox"
                                           @click="checkboxToggle(file, folder)"
                                           v-model="folder.checked"
                                    >
                                    {{ folder.name }}
                                </div>
                            </div>
                        </div>
                    </td>

                    <td scope="row">
                        <input type="datetime-local" v-model="file.datetime">
                        <button class="btn btn-danger btn-xs" @click="addTimer(file)"
                                title="Запланировать удаление">
                            <span class="glyphicon glyphicon-time"></span>
                        </button>
                        <button class="btn btn-sucess btn-xs" @click="deleteTimer(file)"
                                title="Отменить запланированное удаление">
                            <span class="glyphicon glyphicon-remove"></span>
                        </button>
                    </td>

                </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>


<script src="/socket.io/socket.io.js"></script>
<script src="/js/vue.js"></script>
<script src="/js/main.js"></script>
<script>socket.emit('getlistfiles');</script>
</body>
</html>